--- /dev/null
+#!/bin/bash
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
+
+if [ $# -lt 1 ] ; then
+ vecho "${0##*/}: at least one argument needed" 1>&2
+ exit 1
+fi
+
+dir="${D}usr/share/doc/${PF}/${_E_DOCDESTTREE_}"
+if [ ! -d "${dir}" ] ; then
+ install -d "${dir}"
+fi
+
+ret=0
+
+DOINSRECUR="n"
+
+if [[ "$1" == "-r" ]] ; then
+ DOINSRECUR="y"
+ shift
+fi
+
+for x in "$@" ; do
+
+ if [ -d "${x}" ] ; then
+ if [[ ${DOINSRECUR} == "n" ]] ; then
+ continue
+ fi
+
+ find "${x}" -mindepth 1 -maxdepth 1 -exec \
+ env \
+ _E_DOCDESTTREE_="$(basename "${x}")" \
+ ${0} -r {} \;
+
+ elif [ -s "${x}" ] ; then
+ install -m0644 "${x}" "${dir}"
+ ecompress --queue "${dir}/${x##*/}"
+
+ elif [ ! -e "${x}" ] ; then
+ echo "!!! ${0##*/}: $x does not exist" 1>&2
+ ((ret|=1))
+ fi
+
+done
+
+exit ${ret}
ebuild_main() {
local f x
+ # we may want to make this configurable somewhere else
+ local ebuild_helpers_path
+ case ${EAPI} in
+ 3|3_pre1)
+ ebuild_helpers_path="${PORTAGE_BIN_PATH}/ebuild-helpers/3:${PORTAGE_BIN_PATH}/ebuild-helpers"
+ ;;
+ *)
+ ebuild_helpers_path="${PORTAGE_BIN_PATH}/ebuild-helpers"
+ ;;
+ esac
+
+ export PATH="/usr/local/sbin:/sbin:/usr/sbin:${ebuild_helpers_path}:/usr/local/bin:/bin:/usr/bin:${ROOTPATH}"
+ unset ebuild_helpers_path
+
if ! hasq $EBUILD_SH_ARGS clean depend help info nofetch ; then
if hasq distcc $FEATURES ; then
print
print "(Didn't find any changed files...)"
print
- sys.exit(0)
+ sys.exit(1)
# Manifests need to be regenerated after all other commits, so don't commit
# them now even if they have changed.
.BR repos.conf
Specifies \fIsite\-specific\fR repository configuration information. Note that
configuration settings which are specified here do not apply to tools
-such as \fBrepoman\fR(1) and \fBegencache\fR(1) since their operations
+such as \fBrepoman\fR(1) and \fBegencache\fR(1), since operations
+performed by these tools
are inherently \fBnot\fR \fIsite\-specific\fR. \fBWARNING:\fR Use of
\fBrepos.conf\fR is generally not recommended since resulting changes in
eclass inheritance (especially due to \fBeclass\-overrides\fR) may trigger
writemsg("\n", noiselevel=-1)
scheduler_graph = self.digraph.copy()
+
+ if '--nodeps' in self.myopts:
+ # Preserve the package order given on the command line.
+ return ([node for node in scheduler_graph \
+ if isinstance(node, Package) \
+ and node.operation == 'merge'], scheduler_graph)
+
mygraph=self.digraph.copy()
# Prune "nomerge" root nodes if nothing depends on them, since
# otherwise they slow down merge order calculation. Don't remove